Bug 656855

Summary: Review Request: omping - Utility to test IP multicast functionality
Product: [Fedora] Fedora Reporter: Jan Friesse <jfriesse>
Component: Package ReviewAssignee: Petr Lautrbach <plautrba>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, pikachu.2014, plautrba, tomspur
Target Milestone: ---Flags: plautrba: fedora-review+
tibbs: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: omping-0.0.4-1.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 20:42:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Friesse 2010-11-24 11:22:57 UTC
Spec URL: http://honzaf.fedorapeople.org/omping/omping.spec
SRPM URL: http://honzaf.fedorapeople.org/omping/omping-0.0.1-1.fc14.src.rpm
Description: 
Omping (Open Multicast Ping) is tool to test IP multicast functionality
primarily in local network.

Comment 1 Thomas Spura 2010-11-24 12:45:07 UTC
Just a comment, because I'm no sponsor:

- Please use %{_prefix} istead of /usr:
  ("rpm --eval %{_prefix}"...)

Comment 2 Petr Lautrbach 2010-11-24 13:07:44 UTC
since I'm not sponzor, here is only formal review:

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines. [1]
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[?]  Spec file is legible and written in American English.
[x]  Spec file lacks Packager, Vendor, PreReq tags.
[!]  Spec uses macros instead of hard-coded directory names.

I would suggest:
-make DESTDIR="%{buildroot}" PREFIX="/usr" install
+make DESTDIR="%{buildroot}" PREFIX="%{_prefix}" install

[x]  Package consistently uses macros.
[x]  Macros in Summary, %description expandable at SRPM build time.
[x]  PreReq is not used.
[x]  Requires correct, justified where necessary.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines. [2]
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)).
[x]  Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install.
[x]  Package use %makeinstall only when ``make install DESTDIR=...'' doesn't work.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[-]  The spec file handles locales properly.
[x]  Changelog in prescribed format.
[!]  Rpmlint output is silent.

serious:
omping.src: W: invalid-url Source0: http://fedorahosted.org/releases/o/m/omping/omping-0.0.1.tar.gz HTTP Error 404: Not Found
omping.x86_64: W: manual-page-warning /usr/share/man/man8/omping.8.gz 66: warning: macro `ni' not defined

ok:
omping.src: W: spelling-error Summary(en_US) multicast -> Multics, multicolor, multichannel
omping.src: W: spelling-error %description -l en_US multicast -> Multics, multicolor, multichannel

[x]  License field in the package spec file matches the actual license.
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  License file installed when any subpackage combination is installed.
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines. [3,4]
[x]  Sources contain only permissible code or content.
[!]  Sources used to build the package matches the upstream source, as provided in the spec URL.

http://fedorahosted.org/releases/o/m/omping/omping-0.0.1.tar.gz HTTP Error 404: Not Found

[x]  Compiler flags are appropriate.
[x]  %build honors applicable compiler flags or justifies otherwise.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package does not own files or directories owned by other packages.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Each %files section contains %defattr.
[x]  No %config files under /usr.
[x]  %config files are marked noreplace or the reason is justified.
[-]  Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application. [5]
[-]  Package contains a valid .desktop file.
[x]  Package contains code, or permissable content.
[-]  Package contains a SysV-style init script if in need of one.
[x]  File names are valid UTF-8.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[x]  Package contains no bundled libraries.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -static subpackage, if present.
[x]  Package contains no static executables.
[x]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[x]  Useful -debuginfo package or justification otherwise.
[x]  Rpath absent or only used for internal libs.
[x]  Package does not genrate any conflict.
[x]  Package does not contains kernel modules.
[x]  Package is not relocatable.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x]  Package is not known to require ExcludeArch.
[x]  Package installs properly.
[x]  Package obeys FHS, except libexecdir and /usr/target.
[x]  Package meets the Packaging Guidelines. [6]





[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files
[6] https://fedoraproject.org/wiki/Packaging:Guidelines

Comment 3 Jan Friesse 2010-11-24 13:25:22 UTC
Petr, Thomas,
thanks for very quick review. Fixed
SPEC: http://honzaf.fedorapeople.org/omping/omping.spec
SRPM: http://honzaf.fedorapeople.org/omping/omping-0.0.1-2.fc14.src.rpm

Thanks,
  Honza

Comment 4 Marcela Mašláňová 2010-11-24 14:11:21 UTC
Buildroot is not needed since F-12. Also rm -rf in build part was obsoleted but you can leave both if you need this package also for EL-5. Otherwise they can be safely removed.

Comment 5 Petr Lautrbach 2010-11-24 14:23:19 UTC
[x]  Sources used to build the package matches the upstream source, as provided
in the spec URL.

upstream tarball: 9d1c4e66ae6f35b4ace6dbcc94eb66cb  omping-0.0.1.tar.gz
src.rpm tarball:  9d1c4e66ae6f35b4ace6dbcc94eb66cb  omping-0.0.1.tar.gz

[x]  Rpmlint output is silent.
[x]  Spec uses macros instead of hard-coded directory names.

It seems ok now.

Comment 6 Jan Friesse 2010-11-24 14:24:57 UTC
(In reply to comment #4)
> Buildroot is not needed since F-12. Also rm -rf in build part was obsoleted but
> you can leave both if you need this package also for EL-5. Otherwise they can
> be safely removed.

Marcela,
thanks for review. Packages is targeted for EL-5 too, so I would rather keep rm -rf and buildroot there.

Thanks,
  Honza

Comment 7 Petr Lautrbach 2010-11-24 14:58:05 UTC
APPROVED

Comment 8 Jan Friesse 2010-11-24 15:02:53 UTC
New Package SCM Request
=======================
Package Name: omping
Short Description: Utility to test IP multicast functionality
Owners: honzaf
Branches:
InitialCC:

Comment 9 Jan Friesse 2010-11-24 15:06:47 UTC
New Package SCM Request
=======================
Package Name: omping
Short Description: Utility to test IP multicast functionality
Owners: honzaf
Branches: f14
InitialCC:

Comment 10 Jason Tibbitts 2010-11-24 20:36:09 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2010-11-25 12:36:35 UTC
omping-0.0.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/omping-0.0.1-2.fc14

Comment 12 Fedora Update System 2010-11-26 01:05:50 UTC
omping-0.0.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update omping'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/omping-0.0.1-2.fc14

Comment 13 Fedora Update System 2010-12-03 20:42:14 UTC
omping-0.0.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Jan Friesse 2011-02-14 07:33:09 UTC
Package Change Request
======================
Package Name: omping
New Branches: el5
Owners: honzaf
InitialCC: 

Package should be included in RHEL 5, to allow customers to test their network environment cooperation with OpenAIS/RHCS.

Comment 15 Jason Tibbitts 2011-02-15 19:21:22 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2011-09-05 07:40:14 UTC
omping-0.0.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/omping-0.0.4-1.el5

Comment 17 Fedora Update System 2011-09-24 21:57:42 UTC
omping-0.0.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.